## diffoscope 172~bpo10+1

=== debian/changelog ===
diffoscope (172~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 23 Apr 2021 15:50:01 +0200

diffoscope (172) unstable; urgency=medium

  * If zipinfo(1) shows a difference but we cannot uncover a difference within
    the underlying .zip or .apk file, add a comment and show the binary
    comparison. (Closes: reproducible-builds/diffoscope#246)
  * Make "error extracting X, falling back to binary comparison E" error
    message nicer.

 -- Chris Lamb <lamby@debian.org>  Fri, 02 Apr 2021 08:49:24 +0100
