## diffoscope 177~bpo10+1

=== debian/changelog ===
diffoscope (177~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 25 Jun 2021 18:31:18 +0200

diffoscope (177) unstable; urgency=medium

  [ Keith Smiley ]
  * Improve support for Apple "provisioning profiles".
  * Fix ignoring objdump tests on MacOS.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Jun 2021 10:03:04 +0100

diffoscope (176) unstable; urgency=medium

  * Update ffmpeg tests to work with ffmpeg 4.4.
    (Closes: reproducible-builds/diffoscope#258)

 -- Chris Lamb <lamby@debian.org>  Fri, 28 May 2021 10:52:25 +0100

diffoscope (175) unstable; urgency=medium

  * Use the actual filesystem path name (instead of diffoscope's concept of the
    source name) to correct APK filename filtering when an APK file is in
    another container -- we need to filter the auto-generated "1.apk" instead
    of "original-filename.apk". (Closes: reproducible-builds/diffoscope#255)
  * Don't call os.path.basename twice.
  * Correct grammar in a fsimage.py debug message.
  * Add a comment about stripping filenames.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 May 2021 10:43:10 +0100

diffoscope (174) unstable; urgency=medium

  [ Chris Lamb ]
  * Check that we are parsing an actual Debian .buildinfo file, not just
    a file with that extension.
    (Closes: #987994, reproducible-builds/diffoscope#254)
  * Support signed .buildinfo files again -- file(1) reports them as
    "PGP signed message".

  [ Mattia Rizzolo ]
  * Make the testsuite pass with file(1) version 5.40.
  * Embed some short test fixtures in the test code itself.
  * Fix recognition of compressed .xz files with file(1) 5.40.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 May 2021 10:48:54 +0100

diffoscope (173) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for showing annotations in PDF files.
    (Closes: reproducible-builds/diffoscope#249)
  * Move to assert_diff in test_pdf.py.

  [ Zachary T Welch ]
  * Difference.__init__: Demote unified_diff argument to a Python "kwarg".

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Apr 2021 08:51:21 +0100
