## diffoscope 180~bpo11+1

=== debian/changelog ===
diffoscope (180~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 11:47:51 +0200

diffoscope (180) unstable; urgency=medium

  * Don't include specific ".debug"-like lines in the output, as it invariably
    a duplicate of the debug ID that exists in a better form in the readelf(1)
    differences for this file.
  * Also ignore include short "GCC" lines that differs on a single prefix byte
    too. These are distracting, not very useful and are simply the strings(1)
    command's idea of the build ID, which, again, is displayed nearby in the
    file's diff.
  * Update the invocation arguments and tests for the latest version of
    odt2txt.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Aug 2021 13:57:31 +0100

diffoscope (179) unstable; urgency=medium

  * Ensure that various LLVM tools are installed, even when testing whether
    a MacOS binary has zero differences when compared to itself.
    (Closes: reproducible-builds/diffoscope#270)

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Jul 2021 09:05:01 +0100

diffoscope (178) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't traceback on an broken symlink in a directory.
    (Closes: reproducible-builds/diffoscope#269)
  * Rewrite the calculation of a file's "fuzzy hash" to make the control
    flow cleaner.

  [ Balint Reczey ]
  * Support .deb package members compressed with the Zstandard algorithm.
    (LP: #1923845)

  [ Jean-Romain Garnier ]
  * Overhaul the Mach-O executable file comparator.
  * Implement tests for the Mach-O comparator.
  * Switch to new argument format for the LLVM compiler.
  * Fix test_libmix_differences in testsuite for the ELF format.
  * Improve macOS compatibility for the Mach-O comparator.
  * Add llvm-readobj and llvm-objdump to the internal EXTERNAL_TOOLS data
    structure.

  [ Mattia Rizzolo ]
  * Invoke gzip(1) with the short option variants to support Busybox's gzip.
    (Closes: reproducible-builds/diffoscope#268)

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jul 2021 15:37:59 +0100
