## diffoscope 185~bpo11+1

=== debian/changelog ===
diffoscope (185~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 26 Sep 2021 15:55:37 +0200

diffoscope (185) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix the autopkgtest in order to fix testing migration: the androguard
    Python module is not in the python3-androguard Debian package
  * Ignore a warning in the tests from the h5py package that doesn't concern
    diffoscope.

  [ Chris Lamb ]
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Sep 2021 16:15:17 +0100

diffoscope (184) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix the semantic comparison of R's .rdb files after a refactoring of
    temporary directory handling in a previous version.
  * Support a newer format version of R's .rds files.
  * Update tests for OCaml 4.12. (Closes: reproducible-builds/diffoscope#274)
  * Move diffoscope.versions to diffoscope.tests.utils.versions.
  * Use assert_diff in tests/comparators/test_rdata.py.
  * Reformat various modules with Black.

  [ Zbigniew Jędrzejewski-Szmek ]
  * Stop using the deprecated distutils module by adding a version
    comparison class based on the RPM version rules.
  * Update invocations of llvm-objdump for the latest version of LLVM.
  * Adjust a test with one-byte text file for file(1) version 5.40.
  * Improve the parsing of the version of OpenSSH.

  [ Benjamin Peterson ]
  * Add a --diff-context option to control the unified diff context size.
    (reproducible-builds/diffoscope!88)

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Sep 2021 09:10:38 +0100

diffoscope (183) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for extracting Android signing blocks.
    (Closes: reproducible-builds/diffoscope#246)
  * Format debug messages for elf sections using our
    diffoscope.utils.format_class utility.
  * Clarify a comment about the HUGE_TOOLS dict in diffoscope.external_tools.

  [ Felix C. Stegerman ]
  * Clarify output around APK Signing Blocks and remove an accidental duplicate
    "0x" prefix.

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Sep 2021 11:14:32 +0100

diffoscope (182) unstable; urgency=medium

  [ Chris Lamb ]
  * Also ignore, for example, spurious "fwGCC: (Debian ... )" lines in output
    from strings(1).
  * Only use "java -jar /path/to/apksigner.jar" if we have a .jar as newer
    versions of apksigner use a shell wrapper script which will obviously be
    rejected by the JVM. Also mention in the diff if apksigner is missing.
  * Pass "-f" to apktool to avoid creating a strangely-named subdirectory and
    to simplify code.
  * If we specify a suffix for temporary file or directory, ensure it starts
    with a "_" to make the generated filenames more human-readable.
  * Drop an unused File import.
  * Update the minimum version of the Black source code formatter.

  [ Santiago Torres Arias ]
  * Support parsing the return value of squashfs versions which discriminate
    between fatal and non-fatal errors.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Aug 2021 09:11:44 +0100

diffoscope (181) unstable; urgency=medium

  [ Chris Lamb ]

  * New features and bug fixes:
    - Don't require apksigner in order to compare .apk files using apktool.
    - Add a special-case to squshfs image extraction to not fail if we aren't
      root/superuser. (Closes: #991059)
    - Reduce the maximum line length to avoid O(n^2) Wagner-Fischer algorithm,
      which meant that diff generation took an inordinate amount of time.
      (Closes: reproducible-builds/diffoscope#272)
    - Include profiling information in --debug output if --profile is not set.
    - Don't print an orphan newline when the Black source code formatter
      self-test passes.

  * Tests:
    - Update test to check specific contents of squashfs listing, otherwise it
      fails depending on the test systems uid-to-username mapping in passwd(5).
    - Assign "seen" and "expected" values to local variables to improve
      contextual information in/around failed tests.

  * Misc changes:
    - Print the size of generated HTML, text (etc.) reports.
    - Profile calls to specialize and diffoscope.diff.linediff.
    - Update various copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Aug 2021 10:03:35 +0100
