=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  abootimg <!nocheck>,
+ androguard <!nocheck>,
  apksigner <!nocheck>,
  apktool [!ppc64el !s390x] <!nocheck>,
  bash-completion,
@@ -90,7 +91,7 @@
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
@@ -99,7 +100,6 @@
 Package: diffoscope-minimal
 Architecture: all
 Depends:
- python3-distutils,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
