## diffoscope 188~bpo11+1

=== debian/changelog ===
diffoscope (188~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Oct 2021 21:26:26 +0200

diffoscope (188) unstable; urgency=medium

  * Add support for Python Sphinx inventory files, usually named objects.inv.
  * Fix Python bytecode decompilation tests with Python 3.10+.
    (Closes: reproducible-builds/diffoscope#278)

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Oct 2021 09:08:55 +0100

diffoscope (187) unstable; urgency=medium

  * Add support for comparing .pyc files. Thanks to Sergei Trofimovich.
    (Closes: reproducible-builds/diffoscope#278)

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Oct 2021 09:01:52 +0100
