## diffoscope 189~bpo11+1

=== debian/changelog ===
diffoscope (189~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 31 Oct 2021 13:22:13 +0100

diffoscope (189) unstable; urgency=medium

  [ Chris Lamb ]
  * Try some alternative suffixes (eg. ".py") to support distributions that
    strip or retain them. (Closes: reproducible-builds/diffoscope#283)
  * Skip Python bytecode testing where we do not have an expected diff.
    (Closes: reproducible-builds/diffoscope#284)
  * Refactor the find_executable utility into an explicit method.
  * Split out a custom call to assert_diff to support a .startswith equivalent.
  * Use skipif instead of manual conditionals in some tests.

  [ Vagrant Cascadian ]
  * Add an external tool reference for Guix to support ppudump and dumppdf.

  [ Sergei Trofimovich ]
  * Update uImage test output for file(1) version 5.41.

  [ Jelle van der Waa ]
  * Add Arch Linux as CI test target.
  * Add external tools on Arch Linux for ffmpeg, openssl and ocalobjinfo.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Oct 2021 09:47:04 +0100
