## diffoscope 194~bpo11+1

=== debian/changelog ===
diffoscope (194~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Dec 2021 13:45:37 +0100

diffoscope (194) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't traceback when comparing nested directories with non-directories.
    (Closes: reproducible-builds/diffoscope#288)

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Nov 2021 10:01:05 -0800

diffoscope (193) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't duplicate file lists at each directory level.
    (Closes: #989192, reproducible-builds/diffoscope#263)
  * When pretty-printing JSON, mark the difference as such, additionally
    avoiding including the full path.
    (Closes: reproducible-builds/diffoscope#205)

  * Codebase improvements:
    - Update a bunch of %-style string interpolations into f-strings or
      str.format.
    - Import itertools top-level directly.
    - Drop some unused imports.
    - Use isinstance(...) over type(...) ==
    - Avoid aliasing variables if we aren't going to use them.

  [ Brandon Maier ]
  * Fix missing diff output on large diffs.

  [ Mattia Rizzolo ]
  * Ignore a Python warning coming from a dependent library (triggered by
    supporting Python 3.10)
  * Document that support both Python 3.9 and 3.10.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Nov 2021 07:35:10 -0800

diffoscope (192) unstable; urgency=medium

  * Update .epub test methodology after improving XML file parsing.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Nov 2021 08:17:14 -0800

diffoscope (191) unstable; urgency=medium

  [ Chris Lamb ]
  * Detect XML files as XML files if either file(1) claims if they are XML
    files, or if they are named .xml.
    (Closes: #999438, reproducible-builds/diffoscope#287)
  * Don't reject Debian .changes files if they contain non-printable
    characters. (Closes: reproducible-builds/diffoscope#286)
  * Continue loading a .changes file even if the referenced files inside it do
    not exist, but include a comment in the diff as a result.
  * Log the reason if we cannot load a Debian .changes file.

  [ Zbigniew Jędrzejewski-Szmek ]
  * Fix inverted logic in the assert_diff_startswith() utility.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Nov 2021 06:43:57 -0800

diffoscope (190) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't raise a traceback if we cannot de-marshal Python bytecode to support
    Python 3.7 loading newer .pyc files.
    (Closes: reproducible-builds/diffoscope#284)
  * Fix Python tests under Python 3.7 with file 5.39+.

  [ Vagrant Cascadian ]
  * Skip Python bytecode testing when "file" is older than 5.39.

  [ Roland Clobus ]
  * Detect whether the GNU_BUILD_ID field has been modified.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Nov 2021 08:47:27 +0000
