## diffoscope 196~bpo11+1

=== debian/changelog ===
diffoscope (196~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Dec 2021 16:39:52 +0100

diffoscope (196) unstable; urgency=medium

  [ Roland Clobus ]
  * Add a comment/annotation when the GNU_BUILD_ID field has been modified.

  [ Brent Spillner ]
  * Fix the "Black" version detection.

  [ Chris Lamb ]
  * Replace "token" with anonymous variable "x" in order to remove extra lines.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Dec 2021 08:05:10 -0800

diffoscope (195) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't use the runtime platform's native endianness when unpacking .pyc
    files to fix test failures on big-endian machines.

 -- Chris Lamb <lamby@debian.org>  Sun, 05 Dec 2021 09:30:08 -0800
