## diffoscope 199~bpo11+1

=== debian/changelog ===
diffoscope (199~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Jan 2022 15:20:59 +0100

diffoscope (199) unstable; urgency=medium

  [ Chris Lamb ]
  * Support both variants of "odt2txt", including the one provided by unoconv.
    (Closes: reproducible-builds/diffoscope#298)

  [ Jelle van der Waa ]
  * Add external tool reference on Arch Linux for xb-tool.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Jan 2022 08:46:42 +0000

diffoscope (198) unstable; urgency=medium

  [ Chris Lamb ]
  * Support showing "Ordering differences only" within .dsc field values.
    (Closes: #1002002, reproducible-builds/diffoscope#297)
  * Support OCaml versions 4.11, 4.12 and 4.13. (Closes: #1002678)
  * Add support for XMLb files. (Closes: reproducible-builds/diffoscope#295)
  * Also add, for example, /usr/lib/x86_64-linux-gnu to our internal PATH.

  [ Mattia Rizzolo ]
  * Also recognize "GnuCash file" files as XML.

 -- Chris Lamb <lamby@debian.org>  Fri, 31 Dec 2021 08:52:04 +0000

diffoscope (197) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop unnecessary has_same_content_as logging calls.

  [ Mattia Rizzolo ]
  * Ignore the new "binary-with-bad-dynamic-table" Lintian tag.
  * Support pgpdump 0.34 in the tests. Thanks to Michael Weiss
    <dev.primeos@gmail.com> for reporting and testing the fix.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Dec 2021 09:56:04 +0000
