## diffoscope 201~bpo11+1

=== debian/changelog ===
diffoscope (201~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Jan 2022 14:44:18 +0100

diffoscope (201) unstable; urgency=medium

  [ Chris Lamb ]
  * If the debian.deb822 module raises any exception on import, re-raise it as
    an ImportError instead. This should fix diffoscope on some Fedora systems.
    Thanks to Mattia Rizzolo for suggesting this particular solution.
    (Closes: reproducible-builds/diffoscope#300)

  [ Zbigniew Jędrzejewski-Szmek ]
  * Fix json detection with file-5.41-3.fc36.x86_64.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Jan 2022 08:35:36 -0800

diffoscope (200) unstable; urgency=medium

  * Even if a Sphinx .inv inventory file is labelled "The remainder of this
    file is compressed using zlib", it might not actually be. In this case,
    don't traceback, and simply return the original content.
    (Closes: reproducible-builds/diffoscope#299)
  * Update "X has been modified after NT_GNU_BUILD_ID has been applied" message
    to, for instance, not duplicating the full filename in the primary
    diffoscope's output.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Jan 2022 09:15:19 +0000
