## diffoscope 205

=== debian/changelog ===
diffoscope (205) unstable; urgency=medium

  * Fix a file(1)-related regression where .changes files that contained
    non-ASCII text were not identified as being .changes files, resulting in
    seemingly arbitrary packages on tests.reproducible-builds.org and elswhere
    not comparing the package at all. The non-ASCII parts could have been in
    the Maintainer or in the upload changelog, so we were effectively
    penalising anyone outside of the Anglosphere.
    (Closes: reproducible-builds/diffoscope#291)
  * Don't print a warning to the console regarding NT_GNU_BUILD_ID changes in
    ELF binaries.

 -- Chris Lamb <lamby@debian.org>  Sat, 19 Feb 2022 14:58:57 -0800

diffoscope (204) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't run the binwalk comparator tests as root (or fakeroot) as the
    latest version of binwalk has some security protection against doing
    precisely this.
  * If we fail to scan a file using binwalk, return 'False' from
    BinwalkFile.recognizes rather than raise a traceback.
  * If we fail to import the Python "binwalk" module, don't accidentally report
    that we are missing the "rpm" module instead.

  [ Mattia Rizzolo ]
  * Use dependencies to ensure that "diffoscope" and "diffoscope-minimal"
    packages always have the precise same version.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Feb 2022 10:39:27 -0800

diffoscope (203) unstable; urgency=medium

  [ Chris Lamb ]
  * Improve documentation for --timeout due to a few misconceptions.
    Add an allowed-to-fail test regarding a regression in directory handling.
  * Tidy control flow in Difference._reverse_self a little.

  [ Alyssa Ross ]
  * Fix diffing CBFS names that contain spaces.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Feb 2022 08:13:13 -0800

diffoscope (202) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't fail if comparing a nonexistent file with a .pyc file (and add test).
    (Closes: #1004312)
  * Drop a reference in the manual page which claims the ability to compare
    non-existent files on the command-line. This has not been possible since
    version 32 which was released in September 2015. (Closes: #1004182)
  * Add experimental support for incremental output support with a timeout.
    Passing, for example, --timeout=60 will mean that diffoscope will not
    recurse into any sub-archives after 60 seconds total execution time has
    elapsed and mark the diff as being incomplete. (Note that this is not a
    fixed/strict timeout due to implementation issues.)
    (Closes: reproducible-builds/diffoscope#301)
  * Don't return with an exit code of 0 if we encounter device file such as
    /dev/stdin with human-readable metadata that matches literal, non-device,
    file contents. (Closes: #1004198)
  * Correct a "recompile" typo.

  [ Sergei Trofimovich ]
  * Fix/update whitespace for Black 21.12.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Jan 2022 08:17:21 -0800
