## diffoscope 206~bpo11+1

=== debian/changelog ===
diffoscope (206~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 Mar 2022 13:24:51 +0100

diffoscope (206) unstable; urgency=medium

  * Also allow "Unicode text, UTF-8 text" as well as "UTF-8 Unicode text" to
    match for .buildinfo files too.
  * Add a test for recent file(1) issue regarding .changes files.
    (Re: reproducible-builds/diffoscope#291)
  * Drop "_PATH" suffix from some module-level globals that are not paths.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Feb 2022 08:03:04 +0000
