## diffoscope 211~bpo11+1

=== debian/changelog ===
diffoscope (211~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 01 May 2022 14:07:39 +0200

diffoscope (211) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Drop mplayer from the Build-Depends, it was add likely by accident and it's
    not needed.
  * Disable gnumeric tests in Debian because it's not currently available.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Apr 2022 08:20:23 -0700

diffoscope (210) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Make sure that PATH is properly mangled for all diffoscope actions, not
    just when running comparators.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Apr 2022 09:02:25 +0100

diffoscope (209) unstable; urgency=medium

  * Update R test fixture for R 4.2.x series. (Closes: #1008446)
  * Update minimum version of Black to prevent test failure on Ubuntu jammy.

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Mar 2022 09:23:02 +0100

diffoscope (208) unstable; urgency=medium

  [ Brent Spillner ]
  * Add graceful handling for UNIX sockets and named pipes.
    (Closes: reproducible-builds/diffoscope#292)
  * Remove a superfluous log message and reformatt comment lines.

  [ Chris Lamb ]
  * Reformat various files to satisfy current version of Black.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Mar 2022 08:24:33 +0000

diffoscope (207) unstable; urgency=medium

  * Fix a gnarly regression when comparing directories against non-directories.
    (Closes: reproducible-builds/diffoscope#292)
  * Use our assert_diff utility where we can within test_directory.py

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Mar 2022 12:55:26 +0000
