## diffoscope 221~bpo11+1

=== debian/changelog ===
diffoscope (221~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 26 Sep 2022 10:40:47 +0200

diffoscope (221) unstable; urgency=medium

  * Don't crash if we can open a PDF file with PyPDF but cannot parse the
    annotations within. (Closes: reproducible-builds/diffoscope#311)
  * Depend on the dedicated xxd package, not vim-common.
  * Update external_tools.py to reflect xxd/vim-common change.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Aug 2022 07:32:23 -0700

diffoscope (220) unstable; urgency=medium

  * Support Haskell 9.x series files and update the test files to match. Thanks
    to Scott Talbert for the relevant info about the new format.
    (Closes: reproducible-builds/diffoscope#309)
  * Fix a regression introduced in diffoscope version 207 where diffoscope
    would crash if one directory contained a directory that wasn't in the
    other. Thanks to Alderico Gallo for the report and the testcase.
    (Closes: reproducible-builds/diffoscope#310)

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jul 2022 11:03:24 -0700

diffoscope (219) unstable; urgency=medium

  * Don't traceback if we encounter an invalid Unicode character in Haskell
    versioning headers. (Closes: reproducible-builds/diffoscope#307)
  * Update various copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Jul 2022 06:45:55 +0100

diffoscope (218) unstable; urgency=medium

  * Improve output of Markdown and reStructuredText to use code blocks with
    syntax highlighting. (Closes: reproducible-builds/diffoscope#306)

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jul 2022 08:45:11 +0100

diffoscope (217) unstable; urgency=medium

  * Update test fixtures for GNU readelf 2.38 (now in Debian unstable).
  * Be more specific about the minimum required version of readelf (ie.
    binutils) as it appears that this "patch" level version change resulted in
    a change of output, not the "minor" version. (Closes: #1013348)
  * Don't leak the (likely-temporary) pathname when comparing PDF documents.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Jun 2022 07:43:21 +0100

diffoscope (216) unstable; urgency=medium

  * Print profile output if we were called with --profile and we receive a
    TERM signal.
  * Emit a warning if/when we are handling a TERM signal.
  * Clarify in the code in what situations the main "finally" block gets
    called, especially in relation to handling TERM signals.
  * Clarify and tidy some unconditional control flow in diffoscope.profiling.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Jun 2022 07:00:54 +0100

diffoscope (215) unstable; urgency=medium

  [ Chris Lamb ]
  * Bug fixes:
    - Also catch IndexError (in addition to ValueError) when parsing .pyc
      files. (Closes: #1012258)
    - Strip "sticky" etc. from "x.deb: sticky Debian binary package […]".
      Thanks to David Prévot for the report. (Closes: #1011635)
    - Correctly package diffoscope's scripts/ directory, fixing the extraction
      of vmlinuz kernel images. (Closes: reproducible-builds/diffoscope#305)
    - Correct the logic for supporting different versions of argcomplete in
      debian/rules.

  * New features:
    - Support both PyPDF 1.x and 2.x.

  * Codebase improvements:
    - Don't call re.compile and then call .sub on the result; just call
      re.sub directly.
    - Clarify the logic around the difference between --usage and --help.

  * Testsuite improvements:
    - Integrate test coverage with GitLab's concept of artifacts.
    - Re-enable Gnumeric tests as its now available again.
    - Test --help and --usage, and additionally test that --help includes
      the programmatically-generated file format list as well.

  [ Holger Levsen ]
  * Bump Standards Version field in debian/control to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Jun 2022 06:54:48 +0100

diffoscope (214) unstable; urgency=medium

  [ Chris Lamb ]
  * Support both python-argcomplete 1.x and 2.x.

  [ Vagrant Cascadian ]
  * Add external tool on GNU Guix for xb-tool.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 May 2022 06:53:04 +0100

diffoscope (213) unstable; urgency=medium

  * Don't mask differences in .zip/.jar central directory extra fields.
  * Don't show a binary comparison of .zip/.jar files if we have at least
    one observed nested difference.
  * Use assert_diff in test_zip over get_data and separate assert.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 May 2022 08:15:29 -0700

diffoscope (212) unstable; urgency=medium

  * Add support for extracting vmlinuz/vmlinux Linux kernel images.
    (Closes: reproducible-builds/diffoscope#304)
  * Some Python .pyc files report as "data", so support ".pyc" as a
    fallback extension.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 May 2022 08:19:57 -0700
