=== debian/control ===
--- 
+++ 
@@ -32,8 +32,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
-# drop gnumeric because it's not in testing currently (2022-04-27)
-# gnumeric <!nocheck>,
+ gnumeric <!nocheck>,
  gnupg-utils <!nocheck>,
  hdf5-tools <!nocheck>,
  help2man,
@@ -87,11 +86,11 @@
  unzip <!nocheck>,
  wabt <!nocheck>,
  xmlbeans <!nocheck>,
- xxd <!nocheck> | vim-common <!nocheck>,
+ xxd <!nocheck>,
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
